# JS体操 No. 2

https://hubspot.kayac.com/js-taiso-002

## 問題の解き方

- compare.js をなるべく少ない文字数で書き直してください♪
- エラーが出なければ（main.js のテストに合格すれば）OK です♪
- その他のファイルは変更しないでください♪

## ファイル構成

```
 js-taiso-002
  ├── README.md
  └── public
       ├── compare.js  // このファイルのみを編集してください
       ├── main.js     // 【編集不可】テストや文字数のカウントを行うファイルです
       ├── img         // 【編集不可】テスト用の画像が格納されているディレクトリです
       └── index.html  // 【編集不可】このファイルをローカルサーバ上で開いてください
```

## 提出方法

以下ページ内の提出フォームに必要事項を入力し送信してください♪

https://hubspot.kayac.com/js-taiso-002#apply


## 備考

- index.html をローカルファイルとして開くと実行されません。ローカル HTTP サーバなどを介して実行してください♪
- 文字数は開発者コンソールに表示されます♪
- JavaScript の文字列の `length` プロパティを文字数とみなします♪（つまり UTF-16 のコードユニットの数を文字数とみなします）
- 本問題の解説は、後日カヤック技術部ブログ（ https://techblog.kayac.com/ ）に掲載します♪
- JS体操の各種お知らせ（新しい問題の出題や解説記事の公開など）のメールを受け取りたい方は https://hubspot.kayac.com/js-taiso を御覧ください♪
